org.springframework.web.reactive.result.view.freemarker

## Class FreeMarkerViewResolver

- java.lang.Object
- - org.springframework.web.reactive.result.view.ViewResolverSupport
  - - org.springframework.web.reactive.result.view.UrlBasedViewResolver
    - - org.springframework.web.reactive.result.view.freemarker.FreeMarkerViewResolver

All Implemented Interfaces:
  org.springframework.beans.factory.Aware, org.springframework.beans.factory.InitializingBean, org.springframework.context.ApplicationContextAware, org.springframework.core.Ordered, ViewResolver

    public class FreeMarkerViewResolver
    extends UrlBasedViewResolver

A `ViewResolver` for resolving `FreeMarkerView` instances, i.e. FreeMarker templates and custom subclasses of it.

The view class for all views generated by this resolver can be specified via the "viewClass" property. See `UrlBasedViewResolver` for details.

Since:
  5.0
Author:
  Rossen Stoyanchev

### Field Summary

### Fields inherited from class org.springframework.web.reactive.result.view.UrlBasedViewResolver

`REDIRECT_URL_PREFIX`

### Fields inherited from class org.springframework.web.reactive.result.view.ViewResolverSupport

`DEFAULT_CONTENT_TYPE`

### Fields inherited from interface org.springframework.core.Ordered

`HIGHEST_PRECEDENCE, LOWEST_PRECEDENCE`

### Constructor Summary

Constructors
Constructor and Description
`FreeMarkerViewResolver()` Simple constructor.
`FreeMarkerViewResolver(String prefix, String suffix)` Convenience constructor with a prefix and suffix.

### Method Summary

All Methods Instance Methods Concrete Methods
`protected Class<?>` `requiredViewClass()` Requires `FreeMarkerView`.

### Methods inherited from class org.springframework.web.reactive.result.view.UrlBasedViewResolver

`afterPropertiesSet, applyLifecycleMethods, canHandle, createView, getApplicationContext, getPrefix, getRequestContextAttribute, getSuffix, getViewClass, getViewNames, resolveViewName, setApplicationContext, setPrefix, setRedirectViewProvider, setRequestContextAttribute, setSuffix, setViewClass, setViewNames`

### Methods inherited from class org.springframework.web.reactive.result.view.ViewResolverSupport

`getDefaultCharset, getOrder, getSupportedMediaTypes, setDefaultCharset, setOrder, setSupportedMediaTypes`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FreeMarkerViewResolver

    public FreeMarkerViewResolver()

Simple constructor.

#### FreeMarkerViewResolver

    public FreeMarkerViewResolver(String prefix,
                                  String suffix)

Convenience constructor with a prefix and suffix.

Parameters:
  `suffix` - the suffix to prepend view names with
  `prefix` - the prefix to prepend view names with

### Method Detail

#### requiredViewClass

    protected Class<?> requiredViewClass()

Requires `FreeMarkerView`.

Overrides:
  `requiredViewClass` in class `UrlBasedViewResolver`
See Also:
  `AbstractUrlBasedView`